#! /bin/ash
#
# Template file for extra installs during execution of imaNgine on client
# machine
#
# The following can be assumed:
# <server>/tftpboot/images is mounted on /mnt/net
# client hard disk is mounted on /mnt/hd
# this file can be found at: /mnt/net/extra/template.sh
#
# Be sure to always use full paths to locate files
# 
# When positioning at the client's hard disk, ALWAYS use sub-shells:
# (cd /mnt/hd; do_stuff)

# handy stuff:
# If this is windows 98 specific, use this check:
if [ -r /mnt/hd/io.sys -o -r /mnt/hd/IO.SYS ]
then
	# execute windows 98 specific program
fi

# If this is windows xp specific, use this check:
if [ -r /mnt/hd/ntldr -o -r /mnt/hd/NTLDR ]
then
	# execute windows xp specific program
fi

# just to be sure
exit 0
